import 'package:flutter/material.dart';

class SoftCard extends StatelessWidget {
  final Widget child;
  final BorderRadius borderRadius;
  final Color shadowColor;
  final Color color;
  final double elevation;
  final EdgeInsetsGeometry margin;
  final EdgeInsetsGeometry padding;
  final Function onTap;

  SoftCard({
    this.child,
    this.borderRadius,
    this.shadowColor,
    this.color,
    this.elevation,
    this.margin,
    this.padding,
    this.onTap,
  });

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: margin ?? const EdgeInsets.all(4.0),
      child: Material(
        elevation: elevation ?? 4.0,
        clipBehavior: Clip.antiAlias,
        shadowColor: shadowColor ?? Colors.grey.withOpacity(0.2),
        color: color ?? Theme.of(context).cardColor,
        borderRadius: borderRadius ?? BorderRadius.circular(4.0),
        child: InkWell(
          onTap: onTap,
          child: Padding(
            padding: padding ?? const EdgeInsets.all(8.0),
            child: child,
          ),
        ),
      ),
    );
  }
}
